Package org.eclipse.emf.cdo.view

## Interface CDOFetchRuleManager

-     public interface CDOFetchRuleManager

  Collects and updates `fetch rules` for `revisions`, usually based on `feature analyzer` statistics.
  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOCollectionLoadingPolicy` | `getCollectionLoadingPolicy()` |
    `CDOID` | `getContext()` |
    `java.util.List<CDOFetchRule>` | `getFetchRules​(java.util.Collection<CDOID> ids)` |

- - ### Method Detail

    - #### getContext

          CDOID getContext()

    - #### getFetchRules

          java.util.List<CDOFetchRule> getFetchRules​(java.util.Collection<CDOID> ids)

    - #### getCollectionLoadingPolicy

          CDOCollectionLoadingPolicy getCollectionLoadingPolicy()